"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var enquirer_1 = require("enquirer");
var utils_1 = require("../../shared/utils");
exports.validateFeatureOption = function (featureName, options, onInvalid) {
    if (onInvalid === void 0) { onInvalid = function () { }; }
    if (options.includes(featureName)) {
        return Promise.resolve(featureName);
    }
    onInvalid();
    var featureNamePrompt = new enquirer_1.Select({
        message: 'Choose a feature',
        choices: options.map(function (option) { return ({
            name: option,
            message: utils_1.info(option)
        }); })
    });
    return featureNamePrompt.run();
};
